#!/bin/sh

clear

if ( test `id -u` != 0 )
then
	sudo -u root -p "You must have administrator privileges to run this script.  Enter the password for %u: " "$0"
else
	# set path to lasso stuff
	LASSOPATH=/usr/local/LassoProfessional6
	color_on="echo -e \\e[31m"  # red
	color_off="echo -e \\e[0m"
    			
	while true ; do
		clear
		echo "Welcome to the ExecuChoice PDF Suite 3.0 for RedHat Linux 		"
		echo "------------------------------------       				"
		echo "Please select an option 			         			"
		echo "-----------------------                			  		"
		echo "1. Install of base suite							"
		echo "2. Install ESPGhostscript 7.07.1  (required for PDF_toHTML complex mode)  "
                echo "3. Install eFax & fax4CUPS (for faxing - not required)     	 	"
		echo "4. Remove base suite.					                "
                echo "5. Remove ESPGhostscript (NOT recommended)	                    	"
                echo "6. Remove eFax & fax4CUPS				                    	" 
                echo "Q. Quit                                    				" 
		echo -n "Enter your option -> "
		read option
		case "$option" in
			1)	#install basic
				$LASSOPATH/Tools/stopLassoService.sh
				cp -R files/basic/* /				
				$LASSOPATH/Tools/startLassoService.sh
				echo ""
				$color_on
				echo -e "The basic install has been completed!"
				$color_off
				sleep 1
			;;
			2)	#install gs
				if [ -f /usr/bin/gs ]; then
					$color_on
                                	echo -en "Ghostscript version "
					gs --version
					echo " is already installed!"
					echo ""
					echo -n  "Do you wish to overwrite it with this version 7.07.1 ? (y/n)"
                               	 	$color_off
					read owoption
					case "$owoption" in 
						y | Y )
							cp -Rf files/gs/* /
						n | N )
							exit
					esac
				else
					cp -R files/gs/* /
				fi			
			
				echo ""
				$color_on
				echo -e "Ghostscript has been installed!"
				$color_off
				sleep 1
			;;
			3)	#install efax and fax4cups
				cp files/efax/* /

				$color_on
				echo -e "efax and fax4CUPS has been installed!"
				$color_off
				sleep 1
			;;
			4)  #Completely remove the new PDF_ ... tags
				$LASSOPATH/Tools/stopLassoService.sh
				rm $LASSOPATH/LassoModules/EC_Helper.dylib
				rm $LASSOPATH/LassoStartup/EC_PDF_Suite_V23.LassoApp
				rm $LASSOPATH/LassoModules/z_EC_iText.jar
				rm $LASSOPATH/LassoModules/z_EC_PDFSuite.class                                         
                                rm /usr/bin/EC_pdfinfo
				rm /usr/bin/EC_pdftotext
				rm /usr/bin/EC_pdftohtml
				if [ -f /usr/bin/htmldoc ]; then
					chflags nouchg /usr/bin/htmldoc
					rm -R /usr/bin/htmldoc
					chflags nouchg /usr/share/htmldoc
					rm -R /usr/share/htmldoc
					chflags nouchg /usr/share/doc/htmldoc
					rm -R /usr/share/doc/htmldoc
					chflags nouchg /usr/share/man/man1/htmldoc.1
					rm -R /usr/share/man/man1/htmldoc.1
				fi
				$LASSOPATH/Tools/startLassoService.sh
				$color_on
				echo -e "The new [PDF_...] tags have been removed!"
				$color_off
				sleep 1
			;;
			5)	#delete GS
				echo "This function has not yet been implemented."
				echo ""

				$color_on
				echo "[PassThru] has been deleted."
				$color_off
				sleep 1
			;;
			6)	# remove efax & fax4CUPS
				rm /usr/bin/efax
				rm /usr/bin/efix
				rm /usr/bin/fax
				rm /usr/libexec/cups/backend/efax
				rm /usr/libexec/cups/backend/fax
				rm /usr/share/cups/model/efax.ppd
				rm /usr/share/man/man1/efax.1
				rm /usr/share/man/man1/efix.1
				rm /usr/share/man/man1/fax.1
				rm /usr/share/man/man1/fax4CUPS.1
				
				$color_on
				echo "efax and fax4CUPS have been removed!"
				$color_off
				sleep 1
			;;
			Q | q )
				exit 1
			;;
			*)
			$color_on
			echo "Please enter one of the options above"
			$color_off
			sleep 1
			;;
		esac
	done
fi
